javax.json

## Interface JsonBuilderFactory

-     public interface JsonBuilderFactory

  Factory to create `JsonObjectBuilder` and `JsonArrayBuilder` instances. If a factory instance is configured with some configuration, that would be used to configure the created builder instances.

  `JsonObjectBuilder` and `JsonArrayBuilder` can also be created using `Json`'s methods. If multiple builder instances are created, then creating them using a builder factory is preferred.

  For example:

       JsonBuilderFactory factory = Json.createBuilderFactory(...);
       JsonArray value = factory.createArrayBuilder()
           .add(factory.createObjectBuilder()
               .add("type", "home")
               .add("number", "212 555-1234"))
           .add(factory.createObjectBuilder()
               .add("type", "fax")
               .add("number", "646 555-4567"))
           .build();

  All the methods in this class are safe for use by multiple concurrent threads.

  Author:
    Jitendra Kotamraju

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonArrayBuilder` | `createArrayBuilder()` Creates a `JsonArrayBuilder` instance that is used to build `JsonArray`
    `JsonObjectBuilder` | `createObjectBuilder()` Creates a `JsonObjectBuilder` instance that is used to build `JsonObject`.
    `Map<String,?>` | `getConfigInUse()` Returns read-only map of supported provider specific configuration properties that are used to configure the created JSON builders.

- - ### Method Detail

    - #### createObjectBuilder

          JsonObjectBuilder createObjectBuilder()

      Creates a `JsonObjectBuilder` instance that is used to build `JsonObject`.
      Returns:
        a JSON object builder

    - #### createArrayBuilder

          JsonArrayBuilder createArrayBuilder()

      Creates a `JsonArrayBuilder` instance that is used to build `JsonArray`
      Returns:
        a JSON array builder

    - #### getConfigInUse

          Map<String,?> getConfigInUse()

      Returns read-only map of supported provider specific configuration properties that are used to configure the created JSON builders. If there are any specified configuration properties that are not supported by the provider, they won't be part of the returned map.
      Returns:
        a map of supported provider specific properties that are used to configure the builders. The map be empty but not null.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.